# double.tcl - fred.

namespace import ::GL::*

proc reshape {w width height} {
    $w makecurrent
    glViewport 0 0 $width $height
    glMatrixMode $GL::GL_PROJECTION
    glLoadIdentity
    gluOrtho2D -1.5 1.5 -1.5 1.5
    glMatrixMode $GL::GL_MODELVIEW
    glLoadIdentity
}

proc display {w mode} {
    $w makecurrent
    glShadeModel $mode
    glClear $GL::GL_COLOR_BUFFER_BIT
    glBegin $GL::GL_TRIANGLES
    glColor3f 1.0 0.0 0.0
    glVertex2f 0.0 1.0
    glColor3f 0.0 1.0 0.0
    glVertex2f -0.9 -0.8
    glColor3f 0.0 0.0 1.0
    glVertex2f 0.9 -0.8
    glEnd
    glFlush
}

tom .gl1 -width 150 -height 150
glClearColor 0.0 0.0 0.0 0.0
tom .gl2 -width 150 -height 150
glClearColor 0.0 0.0 0.0 0.0

bind .gl1 <Configure> {reshape %W %w %h}
bind .gl2 <Configure> {reshape %W %w %h}
bind .gl1 <Expose> {display %W $GL::GL_SMOOTH}
bind .gl2 <Expose> {display %W $GL::GL_FLAT}

pack .gl1 .gl2 -side left -fill both -expand 1 -padx 2 -pady 2
